<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>DGTVBRO</title>

    <script src="//ssl.p.jwpcdn.com/player/v/8.26.0/jwplayer.js"></script>
    <meta content="noindex, nofollow, noarchive" name="robots"><script>jwplayer.key = "XSuP4qMl+9tK17QNb+4+th2Pm9AWgMO/cYH8CI0HGGr7bdjo";</script>
    <meta name="robots" content="noindex, nofollow" />
    <meta name="referrer" content="no-referrer" />
    <link rel=profile href="https://pripri7.github.io/img/live/icondg.png">
    <style>
    body {
       margin: 0;
       padding: 0;
    }
    #player {
        height: 100vh !important;
    }
   

    </style>
</head>
<body>
    
    <script type="text/javascript">
    function getParameterByName(name) {
            name = name.replace(/[\[\]]/g, "\\$&");
            var regex = new RegExp("[?&]" + name + "(=([^&#]*)|&|#|$)"),
                results = regex.exec(window.location.href);
            if (!results) return null;
            if (!results[2]) return '';
            return decodeURIComponent(results[2].replace(/\+/g, " "));
        }
    </script>
    <div id="player"></div>
    

    <script type="text/javascript">
                var ConfiguracionCanales = {
            
                    "DAZN_2_ES": {
                url: "https://ottb.live.cf.ww.aiv-cdn.net/dub-nitro/live/clients/dash/enc/xnk4m9bnxt/out/v1/4ced7b7329a54652b9bb0521ed38bd4d/cenc.mpd",
                k1: "0eab5a3f3e3b4ba5d42d40ca30d17571",
                k2: "f3f061ded9b70e8160590d5802ecda6d"
            },
        "USANETWORK": {
            url: "https://cfrt.stream.peacocktv.com/Content/CMAF_OL1-CTR-4s/Live/channel(usa-west)/master.mpd",
            k1: "252a671825ba31ec8433f978c32ccf6d",
            k2: "ee560759ecc8d2274df2e63fcef56915"
         },
		"LIVE1": {
            url: "https://fsly.stream.peacocktv.com/Content/CMAF_OL1-CTR-4s/Live/channel(knbc)/master.mpd",
            k1: "0045a118e231f1326bcdb45350b1ceaa",
            k2: "8c13afbfa54ea37a368b8b859021f6e3"
         },
		"LIVE2": {
            url: "https://fsly.stream.peacocktv.com/Content/CMAF_CTR-4s/Live/channel(vc1021n07j)/master.mpd",
            k1: "002046c9a49b9ab1cdb6616bec5d26c3",
            k2: "d2f92f6b7edc9a1a05d393ba0c20ef9e"
         },
		"LIVE3": {
            url: "https://andi-cors-proxy-service-k8s.andisearch.com/https://director.streaming.telia.com/tvm-packager-prod/group1/60896dfd47a23d7c065cd68c/manifest.mpd",
            k1: "ce37e20374e55be6bb4d26837af27605",
            k2: "52cc532f748fcbf2b806dad4289bf84c"
         },
		"LIVE4": {
            url: "https://webtvstream.bhtelecom.ba/hls6/premier_league.mpd",
            k1: "c18b6aa739be4c0b774605fcfb5d6b68",
            k2: "e41c3a6f7532b2e3a828d9580124c89d"
         },
         
        };
    var id = getParameterByName('id');
var config = ConfiguracionCanales[id];

console.log(id,config)
if (config) {
    var sources = [];

    if (config.url.includes('.m3u8')) {
        sources.push({
            file: config.url
        });
    }
    
    if (config.url.includes('.mpd') && config.k1 && config.k2) {
        sources.push({
            file: config.url,
            drm: {"clearkey": {"keyId": config.k1, "key": config.k2}}
        });
    }

 //JWWWWWW
    jwplayer("player").setup({
      
       logo: {
                file: 'https://pripri7.github.io/img/live/dglogo.png',
                link: '',
                position: 'bottom-right'
            },
        playlist: [{
          
          
            image: "https://pripri7.github.io/img/live/backgroundplay.png",
            sources: sources
        }],
        autostart: false,
        width: "100%", 
        height: "100%", 
        stretching: "exactfit",
        aspectratio: "16:9",
        cast: {}, 
                sharing: {}
        });
        }
    </script>
</body>
</html>